package com.elitesland.security;

/**
 * <pre>
 * 登录方式分类
 * </pre>
 *
 * @author Mir
 * @date 2020/6/16
 */
public enum LoginTypeEnum {
    //表单登录
    FORM("表单登录"),
    //JSON登录
    JSON("JSON登录");

    private final String desc;

    LoginTypeEnum(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return this.desc;
    }
}
