package com.elitesland.security;

import org.springframework.security.web.util.matcher.RequestMatcher;
import reactor.util.function.Tuple2;

import java.util.Set;

/**
 * <pre>
 * 函数式接口，用于创建对应的函数工厂
 * </pre>
 *
 * @author Mir
 * @date 2020/6/15
 */
public interface RequestMatcherCreator {
    Set<RequestMatcher> convertToRequestMatcher(Set<Tuple2<String, String>> metaResources);
}
