package com.elitesland.system.repo;

import com.elitesland.system.entity.PermissionDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

/**
 * <pre>
 * 系统权限表JPA+QueryDSL访问封装
 * </pre>
 *
 * @author Mir
 * @date 2020/6/15
 */
@Repository
public interface PermissionRepo extends JpaRepository<PermissionDO, Long>, QuerydslPredicateExecutor<PermissionDO> {
}
