package com.elitesland.system.repo;

import com.elitesland.system.entity.UserDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.stereotype.Repository;

/**
 * <pre>
 * 系统用户账号表JPA+QueryDSL访问封装
 * </pre>
 *
 * @author Mir
 * @date 2020/6/15
 */
@Repository
public interface UserRepo extends JpaRepository<UserDO, Long>, QuerydslPredicateExecutor<UserDO> {
}
